
Redmine - Feature #15815

REST API : Add project status in API response

2014-01-07 11:28 - Takuma Ozawa

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 2.5.0   

Resolution: Fixed   

Description

I've been using the Rest API mobile apps.

RedminePM | Redmine Client for iPhone / Android

http://redminepm.com/

I don't know the ‘close status' of the project, and I want in the response.

There is a lot of requests from the App user, to want to hide the project ended.

Thanks :)

Associated revisions

Revision 12649 - 2014-01-11 12:33 - Jean-Philippe Lang

Adds project status to GET /projects/:id and GET /projects API response (#15815).

History

#1 - 2014-01-10 17:05 - Felix Schäfer

We also need this, see #12921-1

#2 - 2014-01-11 12:34 - Jean-Philippe Lang

- Subject changed from REST API : Added ‘close_status' in the response of 'get projects’ to REST API : Add project status in API response

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.0

- Resolution set to Fixed

Added in r12649.

#3 - 2014-01-11 12:42 - Takuma Ozawa

We also need this, see #12921-1

 I had missed the ticket of the same content, sorry.

And, thank you for! :)

#4 - 2014-01-11 12:53 - Jean-Philippe Lang

#12921 is a bit different as it requests a filter on project status.
